      SUBROUTINE MAIN
      LOGICAL*1 BUF(40), CLOWER
      INTEGER DTYPE, GETARG
      CALL QUERY(17Husage:  pwd [-l].)
      DTYPE = 5
      IF (.NOT.(GETARG(1, BUF, 40) .NE. -1))GOTO 23000
      IF (.NOT.(BUF(1) .EQ. 45 .AND. CLOWER(BUF(2)) .EQ. 108))GOTO 23002
      DTYPE = 6
23002 CONTINUE
23000 CONTINUE
      CALL GWDIR(BUF, DTYPE)
      CALL PUTLIN(BUF, 2)
      CALL PUTCH(10, 2)
      RETURN
      END
